package eu.eudat.commons.types.externalfetcher;

import eu.eudat.service.externalfetcher.config.entities.SourceStaticOptionConfiguration;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElementWrapper;

import java.util.List;

public class ExternalFetcherStaticOptionSourceConfigurationEntity extends ExternalFetcherBaseSourceConfigurationEntity implements SourceStaticOptionConfiguration<StaticOptionEntity> {

    List<StaticOptionEntity> options;

    public List<StaticOptionEntity> getOptions() {
        return options;
    }

    @XmlElementWrapper
    @XmlElement(name = "option")
    public void setOptions(List<StaticOptionEntity> options) {
        this.options = options;
    }
}
